org.richfaces.fragment.inplaceInput

## Enum InplaceComponentState

- java.lang.Object
- - java.lang.Enum<InplaceComponentState>
  - - org.richfaces.fragment.inplaceInput.InplaceComponentState

- All Implemented Interfaces:
    Serializable, Comparable<InplaceComponentState>

      public enum InplaceComponentState
      extends Enum<InplaceComponentState>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACTIVE`
    `CHANGED`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static InplaceComponentState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static InplaceComponentState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ACTIVE

          public static final InplaceComponentState ACTIVE

    - #### CHANGED

          public static final InplaceComponentState CHANGED

  - ### Method Detail

    - #### values

          public static InplaceComponentState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (InplaceComponentState c : InplaceComponentState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static InplaceComponentState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.